<template>
  <tr>
    <appTableTd>{{ locationName }} </appTableTd>
    <appTableTd>{{ schedule }} </appTableTd>
    <appTableTd>{{ address }} </appTableTd>
    <appTableTd>
      <appBtn
        class="bg-gray-900"
        width="50"
        @click="$emit('click:users', amountUsers())"
      >
        {{ userNumber }}
      </appBtn>
    </appTableTd>
  </tr>
</template>

<script>
import apiMixin from '../../mixins/api';
export default {
  name: 'locationCard',
  mixins: [apiMixin],
  props: {
    location: {
      type: Object,
      default: () => ({}),
    },
  },
  computed: {
    locationName() {
      return this.location.name || 'Desconocido';
    },
    schedule() {
      return `${this.location.startTime} - ${this.location.endTime}`;
    },
    userNumber() {
      return this.amountUsers().length;
    },
    address() {
      const result = [
        this.location.address1,
        this.location.address2,
        this.location.commune,
        this.location.region,
      ].filter((e) => !!e);
      return result.join(', ');
    },
  },
  methods: {
    amountUsers() {
      return this.userList.filter(({ locationId }) => {
        return !!(locationId || []).find((id) => id === this.location.id);
      });
    },
  },
};
</script>

<style></style>
